# Namespace: internal

## Namespaces

- [&quot;/Users/shahednasser/medusa/packages/medusa/dist/types/global&quot;](internal-15.__Users_shahednasser_medusa_packages_medusa_dist_types_global_.md)

## Classes

- [AdminDeletePriceListPricesPricesReq](../classes/internal-15.AdminDeletePriceListPricesPricesReq.md)
- [AdminGetPriceListPaginationParams](../classes/internal-15.AdminGetPriceListPaginationParams.md)
- [AdminGetPriceListsPriceListProductsParams](../classes/internal-15.AdminGetPriceListsPriceListProductsParams.md)
- [AdminPostPriceListPricesPricesReq](../classes/internal-15.AdminPostPriceListPricesPricesReq.md)
- [AdminPostPriceListsPriceListPriceListReq](../classes/internal-15.AdminPostPriceListsPriceListPriceListReq.md)
- [AdminPostPriceListsPriceListReq](../classes/internal-15.AdminPostPriceListsPriceListReq.md)
- [AdminPriceListPricesCreateReq](../classes/internal-15.AdminPriceListPricesCreateReq.md)
- [AdminPriceListPricesUpdateReq](../classes/internal-15.AdminPriceListPricesUpdateReq.md)
- [CustomerGroup](../classes/internal-15.CustomerGroup.md)
- [CustomerGroup](../classes/internal-15.CustomerGroup-1.md)
- [FilterablePriceListProps](../classes/internal-15.FilterablePriceListProps.md)

## Type Aliases

### AdminPriceListDeleteBatchRes

Ƭ **AdminPriceListDeleteBatchRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `deleted` | `boolean` |
| `ids` | `string`[] |
| `object` | `string` |

#### Defined in

medusa/dist/api/routes/admin/price-lists/index.d.ts:13

___

### AdminPriceListRes

Ƭ **AdminPriceListRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `price_list` | [`PriceList`](../classes/internal.PriceList.md) |

#### Defined in

medusa/dist/api/routes/admin/price-lists/index.d.ts:10

___

### AdminPriceListsListRes

Ƭ **AdminPriceListsListRes**: [`PaginatedResponse`](internal-2.md#paginatedresponse) & { `price_lists`: [`PriceList`](../classes/internal.PriceList.md)[]  }

#### Defined in

medusa/dist/api/routes/admin/price-lists/index.d.ts:21

## Variables

### AdminGetPriceListsPriceListProductsParams\_base

• `Const` **AdminGetPriceListsPriceListProductsParams\_base**: [`"/Users/shahednasser/medusa/packages/medusa/dist/types/global"`](internal-15.__Users_shahednasser_medusa_packages_medusa_dist_types_global_.md)

#### Defined in

medusa/dist/api/routes/admin/price-lists/list-price-list-products.d.ts:174
